# libusb-devel with m4
# libsysfs
%define pre %nil
Name: libchipcard
Version: 4.2.3
Release: alt1

Summary: A library for easy access to smart cards (chipcards)

License: LGPL
Group: System/Libraries
Url: http://www.libchipcard.de/

Packager: Vitaly Lipatov <lav@altlinux.ru>

# http://www.aquamaniac.de/sites/download/packages.php
Source: http://dl.sourceforge.net/libchipcard/%name-%version%pre.tar.gz
Source1: %name.init

Patch0: %name-etc.patch
Patch1: %name-am18.patch

# Automatically added by buildreq on Mon Nov 24 2008
BuildRequires: gcc-c++ glibc-devel libgwenhywfar-devel libhal-devel libpcsclite-devel zlib-devel

BuildRequires: rpm-build-compat

Provides: libchipcard2
Obsoletes: libchipcard2

%description
LibChipCard allows easy access to smart cards. It provides basic
access to memory and processor cards and has special support for
German medical cards, German "Geldkarten" and HBCI (homebanking) cards
(both type 0 and type 1). It accesses the readers via CTAPI or PC/SC
interfaces and has successfully been tested with Towitoko, Kobil and
Reiner-SCT readers.

%package devel
Summary: Header files for LibChipCard
Group: Development/Other
Requires: %name = %version
Provides: libchipcard2-devel
Obsoletes: libchipcard2-devel

%description devel
This package contains libchipcard-config and header files for writing
programs using LibChipCard.

%package tools
Summary: Terminal tools and daemons for LibChipCard
License: GPL
Group: Communications
Requires: %name = %version
Provides: libchipcard2-tools
Obsoletes: libchipcard2-tools


%description tools
This package contains the terminal tools and daemons for LibChipCard.
The most important daemon here is chipcardd which is needed to access
local card readers.

%prep
%setup -q -n %name-%version%pre
#%patch0 -p1
#%patch1 -p1

%build
#%__autoreconf
%configure \
	--with-pid-dir=/var/run \
	--disable-static

%make_build

%install
%makeinstall_std

install -d %buildroot%_initrddir
install %SOURCE1 %buildroot%_initrddir/chipcardd
#install example/chipcardc.conf %buildroot%_sysconfdir
#install example/chipcardd.conf %buildroot%_sysconfdir

#rm -f doc/html/{Makefile*,pics/Makefile*}
rm -rf %buildroot%_datadir/locale/de
rm -f %buildroot/etc/init.d/chipcardd

%find_lang %name

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%post tools
%post_service chipcardd

%preun tools
%preun_service chipcardd

%files
# COPYING contains only summary, note *GPL texts themselves
%doc AUTHORS COPYING ChangeLog README* TODO
%_libdir/*.so.*
#%_datadir/libchipcard
%_sysconfdir/chipcard/
%_libdir/chipcard/
%_libdir/gwenhywfar/plugins/47/ct/*
#%config(noreplace) %verify(not md5 mtime size) %_sysconfdir/chipcardc.conf
#%_man5dir/libchipcard.conf.5*
#%_man5dir/chipcardc.conf.5*

%files devel
#%doc doc/*.txt doc/html/*
#%attr(755,root,root) %_bindir/libchipcard-config
%_libdir/*.so
%_datadir/chipcard/
#%_libdir/libchipcard.la
%_includedir/*
#%_includedir/chipcard/
#%_includedir/chipcard.h
#%_includedir/ctversion.h
%_aclocaldir/*
#%_man1dir/libchipcard-config.1*

%files tools -f %name.lang
%_bindir/*
%_sbindir/chipcardd4
%attr(754,root,root) %_initrddir/chipcardd
#%config(noreplace) %verify(not md5 mtime size) %_sysconfdir/chipcardd.conf
#%_man1dir/*
#%_man5dir/*


%changelog
* Mon Nov 24 2008 Vitaly Lipatov <lav@altlinux.ru> 4.2.3-alt1
- new version 4.2.3 (with rpmrb script)

* Tue Apr 22 2008 Vitaly Lipatov <lav@altlinux.ru> 4.0.0-alt1
- new version 4.0.0 (with rpmrb script)
- update buildreqs

* Mon May 01 2006 Vitaly Lipatov <lav@altlinux.ru> 2.1.3-alt0.1
- new version (2.1.3)

* Sun Dec 18 2005 Vitaly Lipatov <lav@altlinux.ru> 1.9.19-alt0.1beta
- new version

* Sun Dec 18 2005 Vitaly Lipatov <lav@altlinux.ru> 0.9.1-alt0.1
- initial build for ALT Linux Sisyphus (spec from PLD)
